Subject: [Actn] Internal structure of the Virtual Network Controller (VNC) and Physical Network Controller (PNC)

From: "King, Daniel" <[email-masked]>
Date: Thu, 16 Jan 2014 18:01:10 +0000

Just an additional request for the authors of draft-ceccarelli-actn-framework. It would be really useful to see the internal structure of the Virtual Network Controller (VNC) and Physical Network Controller (PNC) in the next revision. I appreciate that "Figure 4. Workflows across Consumer Controller, VNC and PNC" does show some internal structure, but it looks incomplete (obviously not unusual for a 00 I-D) and it would be nice to see internal connectivity/relationships. 

Br, Dan. 

-----Original Message-----
From: ACTN [mailto:[email-masked]] On Behalf Of King, Daniel
Sent: 16 January 2014 17:15
To: [email-masked]
Cc: [email-masked]; Leeyoung; [email-masked]
Subject: Re: [Actn] About vPCE

Hi All,

Just wanted to clarify the relationship between a Virtual Network Controller (VNC), vPCE and PCE.

The VNC sits between the Consumer Controller (request), and the Physical Network Controller (resource). The functional components of a VNC include:

Virtual Network Controller
- vConnection Agent-
vPCE Agent
- (Perhaps we also need to show Policy and AAA agents as functional
components?)

The vPCE uses abstracted/virtual topologies, whereas the PCE uses transport specific (optical, packet) topologies and sites in the Physical Network Controller (PNC).

Br, Dan.

-----Original Message-----
From: ACTN [mailto:[email-masked]] On Behalf Of Leeyoung
Sent: 14 January 2014 22:02
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Re: [Actn] About vPCE

Adrian,

I see a VNTM as an internal management entity in an interlayer PCE environment. It manages VNs which are basically the lower layer tunnels that are visible to an upper layer PCE in one administrative domain.

For a POI use case where Packet and Optical networks belong to the same administration, there is some duplication between VNTM and VNS (in particular, vPCE). On the other hand, a POI use case where Packet and Optical networks are on a different administration boundary to each other, then obviously, a VNC (and vPCE) is a separate entity from the packet layer PCE and its VNTM. In this latter sub-case, a VNC (vPCE) is an external entity to the packet network controller and it provides the packet network controller with a detail abstraction topology (beyond a tunnel view) with client specific objectives/constraints on an open interface.

ACTN is mostly interested in the case where a VNC is separated from a PNC. 
In other use-cases than POI, transport networks are interfacing various different "clients" than a packet network controller.

We will make this point clearer in an ACTN document.

I hope this helps.

Regards,
Young

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]]
Sent: Monday, January 13, 2014 3:29 AM
To: Leeyoung; [email-masked]
Cc: [email-masked]
Subject: RE: [Actn] About vPCE

Hi,

I just wanted to encourage some caution on the use of "v" in vPCE compared to "V" in VNTM.

VNTM manages VNs

A PCE computes paths on a TED whether the TED is for the physical network or for a virtual network. (I think you are using vPCE for this)

But a PCE may be a dedicated box or a virtual function. (I don't think you are using vPCE for this)

I'm not saying the term vPCE is wrong, but just suggesting you make sure the term is exceptionally clearly defined.

Cheers,
Adrian

> -----Original Message-----
> From: ACTN [mailto:[email-masked]] On Behalf Of Leeyoung
> Sent: 13 January 2014 04:36
> To: Daniele Ceccarelli; 윤빈영; [email-masked]
> Subject: Re: [Actn] About vPCE
>
> Hi Daniele,
>
> Regarding your question on vPCE vs. VNTM, here's my thought.
>
> There is a conceptual similarity between vPCE and VNTM as both of them 
> are an management entity with respect to PCE. But there are differences:
>
> 1. From an administration boundary standpoint, VNTM is always regarded 
> as an internal management tool that helps PCE with underlying tunnels.
> vPCE can be an external entity (although not always) in the scenario 
> Luis has brought. In a scenario where a service provider deals with 
> multiple network providers to connect consumers' end points that span 
> over these multiple network providers, vPCE would belongs to this 
> service provider and it coordinates and orchestrates in such a setting.
>
> 2. From an interface standpoint, VNTM does not support a programmable 
> interface. vPCE supports a programmable interface to port abstract 
> topology to its consumers/customers.
>
> 3. From an abstraction granularity standpoint, what vPCE produces can 
> be finer abstract topology than just a tunnel view that VNTM normally 
> deals with. vPCE interacts with consumers/customers and produces 
> different levels of abstraction granularity which are demanded by the 
> consumers/customers.
>
> I think this should be discussed in a problem statement document more 
> clearly.
>
> Thanks,
> Young
>
> -----Original Message-----
> From: Daniele Ceccarelli [mailto:[email-masked]]
> Sent: Thursday, January 09, 2014 1:40 AM
> To: Leeyoung; 윤빈영; [email-masked]
> Subject: RE: About vPCE
>
> Hi Young, Bin,
>
> Let me add some further considerations in line.
>
> BR
> Daniele
>
> > -----Original Message-----
> > From: ACTN [mailto:[email-masked]] On Behalf Of Leeyoung
> > Sent: mercoledì 8 gennaio 2014 21:58
> > To: 윤빈영; [email-masked]
> > Subject: Re: [Actn] About vPCE
> >
> > Hi,
> >
> > Let me try to comment on Bin's questions. Please see inline.
> >
> > Regards,
> > Young
> >
> > -----Original Message-----
> > From: ACTN [mailto:[email-masked]] On Behalf Of ???
> > Sent: Tuesday, January 07, 2014 7:07 PM
> > To: [email-masked]
> > Subject: [Actn] About vPCE
> >
> > Hi,
> >
> > For better understanding of the ACTN frame doc, Could you answer my 
> > following questions about the vPCE.
> >
> > Q.1)Definition of the vPCE
> > I think that the vPCE is a PCE assigned to each customer's VN.
> > It means that the number of VPCE is equal to the number of VNs.
> > Do you agree to it?
> >
> > YOUNG>> Actually vPCE can support multiple VNs as an entity that is
> > responsible to create abstracted topology for each client/customer.
> > The term vPCE is used to delineate additional functions that is 
> > beyond the current PCE functions. vPCE mainly deals with creation of 
> > abstraction topology which is a client/customer view.
> > I would say what client/customer sees is their VN (or a better term 
> > is Abstracted Topology), but the same vPCE module can provide these 
> > abstracted topologies. vPCE needs to maintain each client's 
> > VN/abstracted topology and applies client specific policy and security.
>
> [[DC]] Agree, there should be a different database for each 
> client/customer but different clients/customers could share a same 
> vPCE
>
> >
> >
> >
> > Q.2)Location of the vPCE?
> > I am wondering where the vPCE is located in Fig. 4.
> > I think that there are two ways to install the vPCE.
> > One is that consumers directly install their own vPCE.
> > The other is that the VN operator provides vPCEs for consumers.
> >
> > YOUNG>> Good point. In Figure 4, the diagram was drawn in light of 
> > YOUNG>> vPCE
> > being performed by a VNS Operator or a Network Provider who also 
> > owns vPCE function within its control boundary. As said, above, vPCE 
> > maintains each client's abstracted topology and performs necessary 
> > path computation function on abstracted topology.
>
> [[DC]] A question we could ask ourselves here is the relationship 
> between the vPCE and the VNTM? Don’t you think there is some overlap 
> between them?
>
> >
> > YOUNG>> However, some elements of vPCE function can be embedded at a
> > client controller in the cases where client's abstracted topology 
> > (they "own"
> > and "see") requires path computation, such as example (a) in Section
> > 5.3 of the framework document as follows:
> >
> > (a)  Abstracted Topology for Consumer A (5 VNEs and 10 VLs)
> >
> >              +------+           +------+          +------+
> >    A.1 ------o      o-----------o      o----------o      o------- A.2
> >              |   1  |           |   2  |          |   3  |
> >              |      |           |      |          |      |
> >              +-o----+           +-o----+          +-o----+
> >                |                  |                 |
> >                |                  |                 |
> >                |                  |                 |
> >                |                +-o----+          +-o--o-+
> >                |                |      |          |      |
> >                |                |   4  |          |   5  |
> >                `----------------o      o----------o      |
> >                                 +----o-+          +------+
> >                                      |
> >                                      |
> >                                     A.3
> >
> > On the other hand, if we are talking about example (c) as below, the 
> > client in this case needs not perform vPCE.
> >
> >
> >              +-------------------------------------------+
> >              |                                           |
> >              |                                           |
> >    C.1 ------o                                           |
> >              |                                           |
> >              |                                           |
> >              |                                           |
> >              |                                           o--------C.3
> >              |                                           |
> >              +--------------------o----------------------+
> >                                   |
> >                                   |
> >                                   |
> >                                   |
> >                                  C.2
> >
> > Q.3) What is the relationship between vPCE and vPCE Agent?
> >
> > vPCE agent is an element of vPCE or Virtual Network Controller (VNS) 
> > in a larger sense. In the current figure, it interfaces with 
> > physical network controller as a Path computation client (PCC) to 
> > make a path
> computation request.
> >
> > Bin
> > _______________________________________________
> > ACTN mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/actn
> > _______________________________________________
> > ACTN mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/actn
> _______________________________________________
> ACTN mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/actn

_______________________________________________
ACTN mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/actn
_______________________________________________
ACTN mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/actn